# Generated from crapshoot-0.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crapshoot

Name: rubygem-%{gem_name}
Version: 0.5.1
Release: 1%{?dist}
Summary: The alpha and omega of rolling dice
License: MIT
URL: http://github.com/bkerley/crapshoot
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(guard-test) >= 0.1.4
# BuildRequires: rubygem(guard-test) < 0.2
# BuildRequires: rubygem(shoulda) >= 2.11.3
# BuildRequires: rubygem(shoulda) < 2.12
BuildArch: noarch

%description
Crapshoot is a dice-rolling gem for most of your pen-and-paper gaming needs;
roll 4d6v to find out how much time it will save.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/crapshoot.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.5.1-1
- Initial package
